- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# StorageCapacity Class Reference

the StorageCapacity class. More...

`#include <OSGeneral.h>`

Collaboration diagram for StorageCapacity:

[legend]
List of all members.

## Public Member Functions
| StorageCapacity ()
| Default constructor.
| ~StorageCapacity ()
| Class destructor.
bool | IsEqual (StorageCapacity *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | unit
| the unit in which storage capacity is measured
std::string | description
| additional description about the storage
double | value
| the number of units of storage capacity

## Detailed Description

the StorageCapacity class.

Author:
  Gus Gassmann, Jun Ma, Kipp Martin

Remarks:
  A data structure class that corresponds to an xml element in the OSgL schema.

Definition at line 656 of file OSGeneral.h.

## Constructor & Destructor Documentation

StorageCapacity::StorageCapacity | ( |  | ) |

Default constructor.

Definition at line 989 of file OSGeneral.cpp.

StorageCapacity::~StorageCapacity | ( |  | ) |

Class destructor.

Definition at line 996 of file OSGeneral.cpp.

## Member Function Documentation

bool StorageCapacity::IsEqual | ( | StorageCapacity * | that | ) |

A function to check for the equality of two objects.

Definition at line 1003 of file OSGeneral.cpp.

References description, isEqual(), unit, and value.

bool StorageCapacity::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" attributes and <XXX> children)

Definition at line 1041 of file OSGeneral.cpp.

References description, OSRand(), unit, and value.

Referenced by SystemResult::setRandom(), and SystemOption::setRandom().

## Member Data Documentation

std::string StorageCapacity::unit

the unit in which storage capacity is measured

Definition at line 660 of file OSGeneral.h.

Referenced by OSOption::getMinDiskSpaceUnit(), OSOption::getMinMemoryUnit(), IsEqual(), OSResult::setAvailableDiskSpaceUnit(), OSResult::setAvailableMemoryUnit(), OSOption::setMinDiskSpace(), OSOption::setMinDiskSpaceUnit(), OSOption::setMinMemorySize(), OSOption::setMinMemoryUnit(), setRandom(), OSResult::setUsedDiskSpaceUnit(), OSResult::setUsedMemoryUnit(), OSoLWriter::writeOSoL(), and OSrLWriter::writeOSrL().

std::string StorageCapacity::description

additional description about the storage

Definition at line 663 of file OSGeneral.h.

Referenced by OSOption::getMinDiskSpaceDescription(), OSOption::getMinMemoryDescription(), IsEqual(), OSResult::setAvailableDiskSpaceDescription(), OSResult::setAvailableMemoryDescription(), OSOption::setMinDiskSpace(), OSOption::setMinMemorySize(), setRandom(), OSResult::setUsedDiskSpaceDescription(), OSResult::setUsedMemoryDescription(), OSoLWriter::writeOSoL(), and OSrLWriter::writeOSrL().

double StorageCapacity::value

the number of units of storage capacity

Definition at line 666 of file OSGeneral.h.

Referenced by OSOption::getMinDiskSpace(), OSOption::getMinMemorySize(), IsEqual(), OSResult::setAvailableDiskSpaceValue(), OSResult::setAvailableMemoryValue(), OSOption::setMinDiskSpace(), OSOption::setMinMemorySize(), setRandom(), OSResult::setUsedDiskSpaceValue(), OSResult::setUsedMemoryValue(), OSoLWriter::writeOSoL(), and OSrLWriter::writeOSrL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp